> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/macro/event-history.md).

# 8.2 Event History

```
GET /macro/events/{event}/history
```

**Path Parameters**

| Parameter | Type   | Required | Description                       |
| --------- | ------ | -------- | --------------------------------- |
| event     | string | Yes      | Event name, e.g. Nonfarm Payrolls |

**Query Parameters**

| Parameter   | Type    | Required | Description         |
| ----------- | ------- | -------- | ------------------- |
| start\_date | string  | No       | Start date          |
| end\_date   | string  | No       | End date            |
| limit       | integer | No       | Default 50, max 100 |

**Response Example**

```json
[
    {
        "date": "2025-10-11",
        "actual": 15.8,
        "forecast": 16.2,
        "previous": 12.3
    }
]
```

**Response Fields**

| Field    | Type   | Description    |
| -------- | ------ | -------------- |
| date     | String | Event date     |
| actual   | Number | Actual value   |
| forecast | Number | Forecast value |
| previous | Number | Previous value |
